Permalink
Browse files

(maint) Add Travis CI Support

This patch adds Travis support.  It also makes sure that `bundle install
--path vendor` works with `bundle exec rake spec`.

This patch should coincide with enabling Travis CI support for pull requests.
A build status image is also included in the project README.
  • Loading branch information...
jeffmccune committed Jan 6, 2013
1 parent 2c220ca commit 3b75ad2058514218b6ad8d7711a3ad1c3ff13876
Showing with 34 additions and 4 deletions.
  1. +2 −0 .gitignore
  2. +12 −0 .travis.yml
  3. +18 −4 Gemfile
  4. +2 −0 README.md
  5. 0 bin/extlookup2hiera
View
@@ -12,3 +12,5 @@ doc
# to work around that. Which we don't want committed, so we can ignore it here.
/.rvmrc
Gemfile.lock
+vendor/
+.bundle/
View
@@ -0,0 +1,12 @@
+language: ruby
+bundler_args: --without development
+script: "bundle exec rake spec SPEC_OPTS='--color --format documentation'"
+notifications:
+ email: false
+rvm:
+ - 1.9.3
+ - 1.8.7
+ - ruby-head
+matrix:
+ allow_failures:
+ - rvm: ruby-head
View
22 Gemfile
@@ -1,13 +1,20 @@
source :rubygems
-# This is a fake version just to make bundler happy during development
-FAKE_VERSION = '9999.0.0'
+puppet_version_lib = File.expand_path("../lib/puppet/version", __FILE__)
+require puppet_version_lib
def location_for(place)
if place =~ /^(git:[^#]*)#(.*)/
[{ :git => $1, :branch => $2, :require => false }]
elsif place =~ /^file:\/\/(.*)/
- [FAKE_VERSION, { :path => File.expand_path($1), :require => false }]
+ path = $1
+ puppet_version = Puppet.version
+ if match_data = puppet_version.match(/(\d+\.\d+\.\d+)/)
+ gem_puppet_version = match_data[1]
+ else
+ gem_puppet_version = puppet_version
+ end
+ [gem_puppet_version, { :path => File.expand_path(path), :require => false }]
else
[place, { :require => false }]
end
@@ -18,9 +25,16 @@ group(:development, :test) do
gem "facter", *location_for(ENV['FACTER_LOCATION'] || '~> 1.6')
gem "hiera", *location_for(ENV['HIERA_LOCATION'] || '~> 1.0')
gem "rack", "~> 1.4", :require => false
- gem "rake", "~> 0.9.2", :require => false
+ gem "rake", :require => false
gem "rspec", "~> 2.11.0", :require => false
gem "mocha", "~> 0.10.5", :require => false
+ gem "activerecord", *location_for('~> 3.0.7')
+ gem "couchrest", *location_for('~> 1.0')
+ gem "net-ssh", *location_for('~> 2.1')
+ gem "puppetlabs_spec_helper"
+ gem "sqlite3"
+ gem "stomp"
+ gem "tzinfo"
end
platforms :mswin, :mingw do
View
@@ -1,6 +1,8 @@
Puppet
======
+[![Build Status](https://travis-ci.org/puppetlabs/puppet.png?branch=master)](https://travis-ci.org/puppetlabs/puppet)
+
Puppet, an automated administrative engine for your Linux and Unix systems, performs
administrative tasks (such as adding users, installing packages, and updating server
configurations) based on a centralized specification.
View
0 bin/extlookup2hiera 100644 → 100755
No changes.

0 comments on commit 3b75ad2

Please sign in to comment.